# Get Package by ID Endpoint: GET /packages/{package_code} Version: 1.0.0 Security: ApiKeyAuth ## Path parameters: - `package_id` (string, required) The unique identifier of the package. ## Response 200 fields (application/json): - `packageCode` (string) Unique identifier for the package (Package Code). Example: "pkg_20128" - `wwwUpdateDate` (string) Date the package page was last updated on the website. - `url` (string) Public URL of the package page on the Renesas website. Example: "https://www.renesas.com/package/pkg20128" - `uuid` (string) UUID of the package. Example: "b87ecb11-cd57-4204-b320-63c7dfd6525d" - `title` (string) Title/name of the package. Example: "pkg_20128 (FCBGA 1368)" - `packageType` (string) Type classification of the package. Example: "FCBGA" - `packageName` (string) Name used to describe Renesas packages. Example: "PRBG1368KA-A" - `category` (string,null) Package category classification. Example: "IC" - `class` (string,null) Package class. Example: "IC" - `description` (string) Descriptive text for this package. Example: "Terminal Material - Base: Sn-Ag-Cu" - `specifications` (object) Technical specifications of the package. - `specifications.leadCount` (integer) Total number of leads/pins. Example: 1368 - `specifications.pitch` (number) Pin pitch in millimeters. Example: 0.5 - `specifications.length` (number) Package length in millimeters. Example: 19 - `specifications.width` (number) Package width in millimeters. Example: 19 - `specifications.thickness` (number) Package thickness/height in millimeters. Example: 2.85 - `specifications.dimensions` (string) Formatted package dimensions string. Example: "19 x 19 x 2.85" - `specifications.peakReflowTemp` (number,null) Peak reflow temperature in °C. - `specifications.jeitaStandard` (string,null) The JEITA standard to which the device is compliant. - `specifications.mark` (string,null) Package mark/marking information. - `packageStatus` (string) Current status of the package. Enum: "Active", "Inactive" - `regulatory` (object) Regulatory and compliance information. - `regulatory.leadFree` (string) Lead-free compliance status. Enum: "Yes", "No" - `regulatory.pbFreeCategory` (string,null) Lead-free category classification. - `tubeOrTray` (string,null) Packaging carrier type (tube/tray). - `previousCode` (string,null) Package code maintained as part of the Renesas and Intersil merger. - `images` (array) Array of image URLs for the package. Example: ["https://www.renesas.com/sites/default/files/styles/medium/public/media/images/fcbga-1368pin-pkg20128-chip_0.png"] - `relatedDocuments` (array) List of related document identifiers. Example: [{"agileId":"X0141154","dcpDocumentId":"PRBG1368KA-A (RDK-G-001812)","title":"Package Drawing FCBGA 1368pin PRBG1368KA-A","type":"Package Drawing","language":"en","href":"https://api.renesas.com/web-data/v1/documents/PRBG1368KA-A%20%28RDK-G-001812%29"},{"agileId":"X0061760","dcpDocumentId":"R50ZZ0006EJ0100","title":"LGA Mounting Manual","type":"Mounting Manual","language":"en","href":"https://api.renesas.com/web-data/v1/documents/R50ZZ0006EJ0100"}] - `relatedDocuments.agileId` (string) Agile ID of the document. - `relatedDocuments.dcpDocumentId` (string,null) DCP Document ID, if applicable. - `relatedDocuments.title` (string) Document title. - `relatedDocuments.type` (string) Document type. - `relatedDocuments.language` (string) Document language. - `relatedDocuments.href` (string) Public URL of the document file. ## Response 404 fields (application/json): - `error` (string) ## Response 500 fields (application/json): - `error` (string)